Subject: Re: bug#58094: 28.1; rcirc: C-c C-p (rcirc-cmd-part) broken
From: "Trent W. Buck" <[email-masked]>
To: Philip Kaludercic <[email-masked]>
Cc: [email-masked]
Date: Mon, 3 Oct 2022 04:01:10 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 29 Sep 2022 17:09:58 +0000, Philip Kaludercic wrote:
> This looks like the issue that was fixed in
> 5df658a96a4bc7f8f96e3b2bf58dad32f81ce06a last April:
>
>     Fix handling of intspecs as string by rcirc-define-command
>
>     * rcirc.el (rcirc-define-command): Check if an interactive
>       specification is a string, in which case it was to be wrapped in a
>       list so that the result of its interpretation is passed as the first
>       argument of the command resulting from the macro expansion.
>
> Parting certainly works for me on Emacs 29, so unless you have an idea
> what could be going on I am inclined to close this report.

I have no problem with that :-)

Sorry I didn't get around to testing HEAD myself.